' __________________________________________
'                  Using the Wizard Control

'                   Created by Ron Kessler
'    Adapted from Murach VB 2008 Chapter 22

'                         Created 5/3/09
' __________________________________________

' Look at Murach Chapter 22 in the VS2008 books for details. This is similar to the
' Multi-View except you only add one control to the form. The different sections are
' part of the wizard control itself.

' Be sure to look at the properties of this control and the methods page to see what
' things you can set & create. Each step in the Wizard is considered an "ActiveStepIndex"
' starting with zero.

' Updated 5/4/09


Partial Class Checkout
    Inherits System.Web.UI.Page


    Const CR As String = ControlChars.CrLf


    Protected Sub Page_Load(ByVal sender As Object, _
            ByVal e As System.EventArgs) Handles Me.Load
        If Not IsPostBack Then
            ' Set the initial step
            wizCheckout.ActiveStepIndex = 0

            ' Initialize the Expiration Year drop-down
            Dim x As Integer
            For x = DateTime.Now.Year To DateTime.Now.Year + 5
                ddlExpirationYear.Items.Add(x.ToString())
            Next
        End If
    End Sub

    Protected Sub wizCheckout_FinishButtonClick(ByVal sender As Object, _
            ByVal e As System.Web.UI.WebControls.WizardNavigationEventArgs) _
            Handles wizCheckout.FinishButtonClick
        Me.DisplayMessage()
    End Sub

    Protected Sub wizCheckout_CancelButtonClick(ByVal sender As Object, _
            ByVal e As System.EventArgs) Handles wizCheckout.CancelButtonClick
        wizCheckout.ActiveStepIndex = 0
        txtFirstName.Text = ""
        txtLastName.Text = ""
        txtEmail.Text = ""
        rdoUPSGround.Checked = True
        rdoUPS2Day.Checked = False
        rdoFedEx.Checked = False
        lstCardType.SelectedIndex = 0
        txtCardNumber.Text = ""
        ddlExpirationMonth.SelectedIndex = 0
        ddlExpirationYear.SelectedIndex = 0
    End Sub

    Protected Sub DisplayMessage()
        Dim sShipVia As String
        If (rdoUPSGround.Checked) Then
            sShipVia = "UPSG"
        ElseIf (rdoUPS2Day.Checked) Then
            sShipVia = "UPS2D"
        ElseIf (rdoFedEx.Checked) Then
            sShipVia = "FEDEX"
        Else
            sShipVia = ""
        End If

        Dim msgCheckOut As String
        msgCheckOut = _
            "Contact info" & CR & _
            "    First name: " & txtFirstName.Text & CR & _
            "    Last name: " & txtLastName.Text & CR & _
            "    Email: " & txtEmail.Text & CR & _
            "Shipping method" & CR & _
            "    Ship via: " & sShipVia & CR & _
            "Credit card info" & CR & _
            "    Type: " & lstCardType.SelectedValue & CR & _
            "    Number: " & txtCardNumber.Text & CR & _
            "    Expiration date: " & ddlExpirationMonth.SelectedValue & "/" & _
                                      ddlExpirationYear.SelectedValue
        txtMessage.Text = msgCheckOut
    End Sub

End Class
